package charite.christo.protein;
import charite.christo.*;
import charite.christo.interfaces.*;
import static charite.christo.ChUtils.*;
import static charite.christo.ChConstants.*;
import javax.swing.*;
import java.io.File;
/**HELP

<b>Homepage:</b> http://doc.pdbj.org/help.cgi?jV
<br><br>
<b>Authors:</b> Kengo Kinoshita  and Haruki Nakamura at the PDBj
Implementation not finished. Still under construction.
<br><br>
<b>License</b>
http://ef-site.hgc.jp/eF-site/servlet/DownloadViewerBinary
<br><br>
<b>List of Commands:</b>    http://ef-site.hgc.jp/wiki/jV/index.php/Command_List
<br><br>

   @author Christoph Gille
   java charite.christo.protein.ChJvPROXY a1_SaccharomycesCerevisiae.pdb
*/
public class  ChJvPROXY extends AbstractProteinViewerProxy implements HasControlPanel {

    public final static String ZIP_FILE="DownloadViewerBinary";
    @Override public String getRequiredJars() {
        return jarFile(GLUGEN)+jarFile(JOGL)+"jv3_6_5.jar ";
    }
    @Override public String jarsContainingNativeLibraries() { return "gluegen-rt-natives-.*.jar jogl-natives-.*.jar  ";}


    public static String getCustomizableExamples() { return ProteinUtils.RASMOL_EXAMPLES; }

    public static String getCustomizableInitCommands() {
        return "cartoon on";
    }

    public static String getWordCompletionList() {
        return "adjustview ambient and anim animation animframe animmode animrange animselect animspeed animstep backbone background backward bondmode cartoon cartoon_loop_tube cartoon_round center color colorvertex coord cpk define diffuse1 diffuse1_direction diffuse2 diffuse2_direction display displayvertex distance drawlevel echo efsite efsite_url exit ext_site_url fit forward fselect ftp godata hbonds help hetero hydrogen ident imagesize information jpeg line_transparency line_width load loadcenter loop once or parallel pause pdb pdbml pdbml_extatom_url pdbml_noatom_url pdbml_plus_url pdbml_url perspective picking pickradius png point_size point_transparency polygon polyline_transparency polyline_width projection quad_transparency quit refresh reset ribbonback ribbons rotate save script select selectvertex set show sidechain site slab spacefill specpower specular ssbonds stereo stop structure swing trace transform translate transparency triangle_transparency viewpoint wireframe write xps3 zap zoom ";
    }


    // java charite.christo.protein.ChJvPROXY ~/m1/a1_SaccharomycesCerevisiae.pdb
    /*
    public static void main(String argv[]) throws Exception {
        final Protein p=new Protein();
        final File f=file(argv[0]);
        new PDB_Parser().parse(p,0,readBytes(f));
        p.setFile(f);
        final ChJvPROXY jV=new ChJvPROXY();
        jV.setProtein(p, null,  null, 0);
        new ChFrame("hello jv").ad(jV.getViewerPanel()).shw(0);
    }
    */

}
